Skip to main content
GET
/
jobs
Typescript (SDK)
import { Crevio } from "@crevio/sdk";

const crevio = new Crevio({
  apiKey: process.env["CREVIO_API_KEY"] ?? "",
});

async function run() {
  const result = await crevio.jobs.list({});

  console.log(result);
}

run();
curl --request GET \
  --url https://api.crevio.co/v1/jobs \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.crevio.co/v1/jobs"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.crevio.co/v1/jobs', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "object": "list",
  "data": [
    {
      "id": "<string>",
      "object": "<string>",
      "type": "<string>",
      "model": "<string>",
      "progress": 123,
      "input": {},
      "result": {},
      "error": "<string>",
      "error_code": "<string>",
      "credits_used": 123,
      "provider_request_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "started_at": "2023-11-07T05:31:56Z",
      "completed_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": true,
  "url": "<string>"
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "bad_request",
    "message": "The request was malformed or contained invalid parameters"
  }
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "authentication_required",
    "message": "You did not provide an API key."
  }
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "forbidden",
    "message": "You do not have permission to perform this action"
  }
}
{
  "error": {
    "type": "api_error",
    "code": "internal_error",
    "message": "An unexpected error occurred"
  }
}

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Query Parameters

status
enum<string>

Filter by job status

Available options:
queued,
processing,
completed,
failed,
cancelled
type
enum<string>

Filter by job type

Available options:
image_generation,
image_edit,
image_upscale,
video_generation,
audio_generation
starting_after
string

Cursor for pagination — the ID of the last item in the previous page

limit
integer
default:20

Items per page

Required range: 1 <= x <= 100

Response

List of jobs

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
url
string
required